.calendar-wrapper {
    display: flex;
    flex-direction: column;
    max-width: 400px;
    overflow-x: hidden;
    position: relative;
    margin: 0 auto;
    background-color: #fff;
}

.calendar-wrapper>span,
.calendar-wrapper .time-holder .times-has-available>span {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 15px;
    color: #919191;
}

.calendar-wrapper .time-holder>span {
    padding-left: 20px;
}

.calendar-holder {
    display: flex;
    flex-direction: column;
    border-radius: 5px;
    border: 1px solid #D3D3D3;
    padding: 34px 20px 30px;
    margin-top: 4px;
}

.calendar-holder .month-holder {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.calendar-holder .month-holder .month {
    display: flex;
    column-gap: 20px;
    cursor: pointer;
}

.calendar-holder .month-holder .month span.name {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 19px;
    text-align: right;
    text-transform: uppercase;
    color: #D3D3D3;
}

.calendar-holder .month-holder .month.active span.name {
    font-size: 26px;
    line-height: 31px;
    color: #131721;
}

.calendar-holder .month-holder .month span.year {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 19px;
    color: #D3D3D3;
}

.calendar-holder .month-holder .month.active span.year {
    font-size: 26px;
    line-height: 31px;
    color: #131721;
}

.calendar-holder .days-holder {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 12px;
}

.calendar-holder .days-holder .days-wrapper {
    display: flex;
    justify-content: center;
    column-gap: 10px;
    width: 320px;
    height: 67px;
    position: relative;
}

.calendar-holder .days-holder .days-wrapper .days-container {
    display: flex;
    justify-content: space-between;
    column-gap: 10px;
    max-width: 320px;
    position: absolute;
    top: 0;
    left: 0;
    transition: all .8s ease-in-out;
}

.calendar-holder .days-holder .days-wrapper .days-container.off {
    transform: translateX(-400px);
}

.calendar-holder .days-holder .days-wrapper .days-container.next {
    transform: translateX(400px);
}

.calendar-holder .days-holder .days-wrapper .day {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 30px;
    padding: 10px 3px;
    row-gap: 10px;
    color: #131721;
    cursor: pointer;
    transition: all .3s ease-in-out;
}

.calendar-holder .days-holder .days-wrapper .day span {
    width: 31px;
    text-align: center;
}

.calendar-holder .days-holder .days-wrapper .day span.week-day {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 15px;
}

.calendar-holder .days-holder .days-wrapper .day span.number {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    line-height: 22px;
}

.calendar-holder .days-holder .days-wrapper .day.active {
    background: #EDA599;
    color: #fff;
}

.calendar-holder .days-holder .days-wrapper .day:not(.active):hover {
    background: #131721;
    color: #fff;
}

.calendar-holder .days-holder .days-wrapper .day.off:hover {
    background: initial;
    color: initial;
}

.calendar-holder .days-holder .days-wrapper .day.active.unavailable {
    background: #D3D3D3;
}

.calendar-holder .days-holder .days-wrapper .day.today {
    border: 1px solid #EDA599;
}

.calendar-holder .days-holder .days-wrapper .day.prev span.number,
.calendar-holder .days-holder .days-wrapper .day.off span.number {
    color: #D3D3D3;
}

.calendar-holder .days-holder .days-wrapper .day.off.unavailable.active span.number {
    color: #fff;
}

.calendar-holder .arrow.prev svg {
    transform: rotate(180deg);
}

.calendar-holder .arrow.active {
    cursor: pointer;
}

.calendar-holder .arrow.active svg path {
    stroke: #0752ED;
}

.calendar-holder .time-holder {
    display: flex;
    flex-direction: column;
    margin-top: 42px;
}

.calendar-holder .time-holder .times-wrapper {
    display: flex;
    align-items: center;
    column-gap: 11px;
    margin-top: 8px;
}

.calendar-holder .time-holder .times-wrapper .times-grid-list {
    position: relative;
    width: 324px;
    min-width: 324px;
    min-height: 130px;
}

.calendar-holder .time-holder .times-wrapper .times-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    row-gap: 10px;
    column-gap: 8px;
    position: absolute;
    transition: all .8s ease-in-out;
    width: 100%;
}

.calendar-holder .time-holder .times-wrapper .times-grid.next {
    transform: translateX(360px);
}

.calendar-holder .time-holder .times-wrapper .times-grid.active {
    transform: translateX(0);
}

.calendar-holder .time-holder .times-wrapper .times-grid.off {
    transform: translateX(-360px);
}

.calendar-holder .time-holder .times-wrapper .times-grid .time {
    border: 1px solid #D3D3D3;
    border-radius: 3px;
    text-align: center;
    padding: 4px 11px;
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 17px;
    color: #131721;
    cursor: pointer;
    transition: all .3s ease-in-out;
}

.calendar-holder .time-holder .times-wrapper .times-grid .time.active,
.calendar-holder .time-holder .times-wrapper .times-grid .time:hover {
    background: #EDA599;
    color: #fff;
    border: 1px solid #EDA599;
}

.calendar-holder .time-holder .times-wrapper .times-grid .time.off {
    color: #909090;
}

.calendar-holder .time-holder .times-wrapper .times-grid .time.off:hover {
    background: initial;
    color: initial;
}

.calendar-holder .time-holder .times-wrapper .times-grid .time.d-none {
    display: none;
}

.times-not-available p,
.times-not-available p span {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 26px;
    line-height: 31px;
    color: #131721;
    margin: 0;
    padding: 0;
}

.times-not-available p span {
    color: #0752ED;
}

.calendar-wrapper button {
    margin-top: 16px;
    width: 100%;
    border: unset;
    outline: none;
    border-radius: 45px;
    border: 1px solid #000000;
    background: #fff;
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 17px;
    text-align: center;
    color: #131721;
    padding: 11px 0;
    cursor: pointer;
    transition: all .3s ease-in-out;
}

.calendar-wrapper button:hover,
.calendar-wrapper button.first-date.active:hover,
.calendar-wrapper button.book:hover {
    background: #131721;
    color: #fff;
}

.calendar-wrapper button.first-date.active {
    background: #EDA599;
    color: #fff;
    border: none;
}

.calendar-wrapper button.book {
    background: #0752ED;
    color: #fff;
    border: none;
}

.book-holder p {
    font-family: "Open Sans", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 15px;
    color: #919191;
}

.d-none {
    display: none;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 30;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .3);
    display: flex;
    align-items: center;
    justify-content: center;
}

.overlay.hide {
    display: none;
}

.loader-vm {
    border: 5px solid #f3f3f3;
    border-top: 5px solid #0752ED;
    border-radius: 50%;
    width: 48px;
    height: 48px;
    animation: spin 1.5s linear infinite;
    z-index: 31;
}

.booking-alert {
    margin-top: 1rem;
}

.booking-alert-error.woocommerce-error {
    padding: 1em 2em 1em 3.5em;
}

#booking-loader {
    display: none;
}

#booking-slot-available {
    display: none;
}

#booking-slot-unavailable {
    display: none;
}

#booking-loader .loader-block {
    display: flex;
    flex-direction: row;    
    gap: 0.5rem;
}

.loader-sm {
    border: 3px solid #f3f3f3;
    border-top: 3px solid #0752ED;
    border-radius: 50%;
    width: 16px;
    height: 16px;
    animation: spin 1.5s linear infinite;
    z-index: 31;
}

.resource-select select {
    padding: 9px 20px;
    border-radius: 5px;
    color: #131721;
    padding-right: 54px;
    font-size: 16px;
    line-height: 19px;
    border: 1px solid #D3D3D3;
    position: relative;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    outline: none;
    background: #fff url("data:image/svg+xml,%3Csvg width=\'14\' height=\'8\' viewBox=\'0 0 14 8\' fill=\'none\' xmlns=\'http://www.w3.org/2000/svg\'%3E%3Cpath d=\'M13 1C11.1333 2 7.4 4.6 7.4 7C6.76 4.6 2.86667 2.33333 1 1.5\' stroke=\'%23131721\' stroke-width=\'1.5\' stroke-linecap=\'round\' stroke-linejoin=\'round\'/%3E%3C/svg%3E%0A") no-repeat;
    background-position: right 20px top 50%;
    min-width: 398px;
    margin-bottom: 24px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@media only screen and (max-width: 480px) {
    .calendar-holder {
        display: flex;
        flex-direction: column;
        border-radius: 5px;
        border: 1px solid #D3D3D3;
        padding: 16px 2px 20px;
        margin-top: 4px;
    }

    .calendar-holder .days-holder .days-wrapper .days-container {
        column-gap: 6px;
        left: unset;
    }

    .calendar-wrapper button {
        font-size: 13px;
        line-height: 16px;
    }

    .calendar-holder .time-holder .times-wrapper .times-grid .time {
        font-size: 13px;
        line-height: 16px;
    }

    .calendar-holder .time-holder .times-wrapper .times-grid-list {
        position: relative;
        width: 288px;
        min-width: 288px;
        min-height: 130px;
    }

    .calendar-holder .month-holder .month {
        display: flex;
        column-gap: 10px;
        cursor: pointer;
    }

    .calendar-holder .month-holder .month.active span.name {
        font-size: 22px;
        line-height: 26px;
        color: #131721;
    }

    .calendar-holder .month-holder .month.active span.year {
        font-size: 22px;
        line-height: 26px;
        color: #131721;
    }
}